Debian Bug report logs - #611922
RFP: libswarm -- Swarm is a framework for agent-based simulation

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Scott Christley <schristley@mac.com>

Date: Thu, 3 Feb 2011 19:45:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#611922; Package wnpp. (Thu, 03 Feb 2011 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Christley <schristley@mac.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 03 Feb 2011 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Christley <schristley@mac.com>
To: submit@bugs.debian.org
Subject: ITP: libswarm -- Swarm is a framework for agent-based simulation
Date: Thu, 03 Feb 2011 13:42:27 -0600
Package: wnpp
Severity: wishlist
Owner: Scott Christley <schristley@mac.com>

 Package name    : libswarm
 Version         : 2.3.0
 Upstream Author : Swarm Development Group
 URL             : http://www.swarm.org
 License         : GPL
 Programming Lang: Objective-C
 Description     : Swarm is a framework for agent-based simulation

Swarm is a platform for agent-based models (ABMs) that includes:

* A conceptual framework for designing, describing, and conducting experiments on ABMs;
* Software implementing that framework and providing many handy tools; and
* A community of users and developers that share ideas, software, and experience.

-- System Information:
Debian Release: 5.0.8
 APT prefers stable
 APT policy: (500, 'stable')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Scott Christley <schristley@mac.com>:
Bug#611922; Package wnpp. (Thu, 12 Jan 2012 21:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Scott Christley <schristley@mac.com>. (Thu, 12 Jan 2012 21:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 611922@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>, Scott Christley <schristley@mac.com>, 611922@bugs.debian.org
Subject: [tille@alioth.debian.org: r9269 - trunk/packages/swarm/trunk/debian]
Date: Thu, 12 Jan 2012 22:38:12 +0100
Hi Scott,

your last commit to libswarm is dated 2010-04-25 19:00:55 +0200.
Thorsten and me did some polishing to your initial packaging.  Could
you please clarify your intentions with this package and whether you
are interested in it any more before we do spend more time into it?

Kind regards

        Andreas.

----- Forwarded message from Andreas Tille <tille@alioth.debian.org> -----

Date: Thu, 12 Jan 2012 21:32:44 +0000
From: Andreas Tille <tille@alioth.debian.org>
To: debian-med-commit@lists.alioth.debian.org
Subject: r9269 - trunk/packages/swarm/trunk/debian
X-Spam_score: -2.8

Author: tille
Date: 2012-01-12 21:32:43 +0000 (Thu, 12 Jan 2012)
New Revision: 9269

Modified:
   trunk/packages/swarm/trunk/debian/changelog
   trunk/packages/swarm/trunk/debian/control
   trunk/packages/swarm/trunk/debian/rules
Log:
Fixed Build-Depends, clean target, description


Modified: trunk/packages/swarm/trunk/debian/changelog
===================================================================
--- trunk/packages/swarm/trunk/debian/changelog	2012-01-12 18:52:47 UTC (rev 9268)
+++ trunk/packages/swarm/trunk/debian/changelog	2012-01-12 21:32:43 UTC (rev 9269)
@@ -10,9 +10,14 @@
   * debian/compat: added with level 8
 
   [ Andreas Tille ]
-  * debian/source/format: 3.0 (quilt)
+  * debian/control:
+    - No need to Build-Depend make
+    - Builds perfectly fine without having emacs installed
+    - Fixed content and formatting of package description
+  * debian/rules:
+    - Fix clean target
 
- -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2012 21:53:34 +0100
+ -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2012 22:18:50 +0100
 
 libswarm (2.3.0-1) unstable; urgency=low
 

Modified: trunk/packages/swarm/trunk/debian/control
===================================================================
--- trunk/packages/swarm/trunk/debian/control	2012-01-12 18:52:47 UTC (rev 9268)
+++ trunk/packages/swarm/trunk/debian/control	2012-01-12 21:32:43 UTC (rev 9269)
@@ -6,7 +6,7 @@
 Uploaders: Scott Christley <schristley@mac.com>,
  Andreas Tille <tille@debian.org>,
  Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 8), gobjc, gperf, emacs, libhdf5-serial-dev, blt-dev, make, libxpm-dev
+Build-Depends: debhelper (>= 8), gobjc, gperf, libhdf5-serial-dev, blt-dev, libxpm-dev
 Standards-Version: 3.9.2
 Homepage: http://www.swarm.org/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/swarm/trunk/
@@ -16,25 +16,27 @@
 Section: libdevel
 Architecture: any
 Depends: libswarm2 (= ${binary:Version}), libgnustep-base-dev, ${gnustep:Depends}
-Description: Swarm is a library of object-oriented classes that implements
- the Swarm conceptual framework for agent-based model (ABMs) and provides many tools
- for implementing, observing and conducting experiments on ABMs.  Users write their
- own software but (a) follow Swarm's conceptual framework and conventions to design
- the software, and (b) use the Swarm libraries to do much of the work.  The library
- is written in Objective-C.
+Description: agent-based modeling to education, biomedical research and others
+ The Swarm conceptual framework for agent-based model (ABMs) and
+ provides many tools for implementing, observing and conducting
+ experiments on ABMs.  Users write their own software but (a) follow
+ Swarm's conceptual framework and conventions to design the software, and
+ (b) use the Swarm libraries to do much of the work.  The library is
+ written in Objective-C.
  .
- This package contains the development files and documentation for developing
- agent-based models using Swarm.
+ This package contains the development files and documentation for
+ developing agent-based models using Swarm.
 
 Package: libswarm2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Swarm is a library of object-oriented classes that implements
- the Swarm conceptual framework for agent-based model (ABMs) and provides many tools
- for implementing, observing and conducting experiments on ABMs.  Users write their
- own software but (a) follow Swarm's conceptual framework and conventions to design
- the software, and (b) use the Swarm libraries to do much of the work.  The library
- is written in Objective-C.
+Description: agent-based modeling to education, biomedical research and others
+ The Swarm conceptual framework for agent-based model (ABMs) and 
+ provides many tools for implementing, observing and conducting
+ experiments on ABMs.  Users write their own software but (a) follow
+ Swarm's conceptual framework and conventions to design the software, and
+ (b) use the Swarm libraries to do much of the work.  The library is
+ written in Objective-C.
  .
  This package contains the runtime libraries.

Modified: trunk/packages/swarm/trunk/debian/rules
===================================================================
--- trunk/packages/swarm/trunk/debian/rules	2012-01-12 18:52:47 UTC (rev 9268)
+++ trunk/packages/swarm/trunk/debian/rules	2012-01-12 21:32:43 UTC (rev 9269)
@@ -7,6 +7,10 @@
 %:
 	dh $@
 
+override_dh_clean:
+	dh_clean
+	rm -rf config.log
+
 get-orig-source:
 	mkdir -p ../tarballs
 	uscan --verbose --force-download --destdir ../tarballs


_______________________________________________
debian-med-commit mailing list
debian-med-commit@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-commit


----- End forwarded message -----

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#611922; Package wnpp. (Tue, 17 Jan 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Christley <schristley@mac.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Jan 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 611922@bugs.debian.org (full text, mbox):

From: Scott Christley <schristley@mac.com>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Med Project List <debian-med@lists.debian.org>, 611922@bugs.debian.org
Subject: Re: [tille@alioth.debian.org: r9269 - trunk/packages/swarm/trunk/debian]
Date: Tue, 17 Jan 2012 11:25:10 -0600
Hello Andreas,

Thank you for the updates to the package.  I was stalled because of a bug in BLT [1] and while there seemed to be a fix for Ubuntu [2], I'm not sure how to get that fix down into the Debian package. I haven't looked at the status of things in awhile, but I have the next couple of months free for coding work so I'm going to make a push to get this package finished.

thanks
Scott

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524149
[2] https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857


On Jan 12, 2012, at 3:38 PM, Andreas Tille wrote:

> Hi Scott,
> 
> your last commit to libswarm is dated 2010-04-25 19:00:55 +0200.
> Thorsten and me did some polishing to your initial packaging.  Could
> you please clarify your intentions with this package and whether you
> are interested in it any more before we do spend more time into it?
> 
> Kind regards
> 
>        Andreas.
> 
> ----- Forwarded message from Andreas Tille <tille@alioth.debian.org> -----
> 
> Date: Thu, 12 Jan 2012 21:32:44 +0000
> From: Andreas Tille <tille@alioth.debian.org>
> To: debian-med-commit@lists.alioth.debian.org
> Subject: r9269 - trunk/packages/swarm/trunk/debian
> X-Spam_score: -2.8
> 
> Author: tille
> Date: 2012-01-12 21:32:43 +0000 (Thu, 12 Jan 2012)
> New Revision: 9269
> 
> Modified:
>   trunk/packages/swarm/trunk/debian/changelog
>   trunk/packages/swarm/trunk/debian/control
>   trunk/packages/swarm/trunk/debian/rules
> Log:
> Fixed Build-Depends, clean target, description
> 
> 
> Modified: trunk/packages/swarm/trunk/debian/changelog
> ===================================================================
> --- trunk/packages/swarm/trunk/debian/changelog	2012-01-12 18:52:47 UTC (rev 9268)
> +++ trunk/packages/swarm/trunk/debian/changelog	2012-01-12 21:32:43 UTC (rev 9269)
> @@ -10,9 +10,14 @@
>   * debian/compat: added with level 8
> 
>   [ Andreas Tille ]
> -  * debian/source/format: 3.0 (quilt)
> +  * debian/control:
> +    - No need to Build-Depend make
> +    - Builds perfectly fine without having emacs installed
> +    - Fixed content and formatting of package description
> +  * debian/rules:
> +    - Fix clean target
> 
> - -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2012 21:53:34 +0100
> + -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2012 22:18:50 +0100
> 
> libswarm (2.3.0-1) unstable; urgency=low
> 
> 
> Modified: trunk/packages/swarm/trunk/debian/control
> ===================================================================
> --- trunk/packages/swarm/trunk/debian/control	2012-01-12 18:52:47 UTC (rev 9268)
> +++ trunk/packages/swarm/trunk/debian/control	2012-01-12 21:32:43 UTC (rev 9269)
> @@ -6,7 +6,7 @@
> Uploaders: Scott Christley <schristley@mac.com>,
>  Andreas Tille <tille@debian.org>,
>  Charles Plessy <plessy@debian.org>
> -Build-Depends: debhelper (>= 8), gobjc, gperf, emacs, libhdf5-serial-dev, blt-dev, make, libxpm-dev
> +Build-Depends: debhelper (>= 8), gobjc, gperf, libhdf5-serial-dev, blt-dev, libxpm-dev
> Standards-Version: 3.9.2
> Homepage: http://www.swarm.org/
> Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/swarm/trunk/
> @@ -16,25 +16,27 @@
> Section: libdevel
> Architecture: any
> Depends: libswarm2 (= ${binary:Version}), libgnustep-base-dev, ${gnustep:Depends}
> -Description: Swarm is a library of object-oriented classes that implements
> - the Swarm conceptual framework for agent-based model (ABMs) and provides many tools
> - for implementing, observing and conducting experiments on ABMs.  Users write their
> - own software but (a) follow Swarm's conceptual framework and conventions to design
> - the software, and (b) use the Swarm libraries to do much of the work.  The library
> - is written in Objective-C.
> +Description: agent-based modeling to education, biomedical research and others
> + The Swarm conceptual framework for agent-based model (ABMs) and
> + provides many tools for implementing, observing and conducting
> + experiments on ABMs.  Users write their own software but (a) follow
> + Swarm's conceptual framework and conventions to design the software, and
> + (b) use the Swarm libraries to do much of the work.  The library is
> + written in Objective-C.
>  .
> - This package contains the development files and documentation for developing
> - agent-based models using Swarm.
> + This package contains the development files and documentation for
> + developing agent-based models using Swarm.
> 
> Package: libswarm2
> Section: libs
> Architecture: any
> Depends: ${shlibs:Depends}, ${misc:Depends}
> -Description: Swarm is a library of object-oriented classes that implements
> - the Swarm conceptual framework for agent-based model (ABMs) and provides many tools
> - for implementing, observing and conducting experiments on ABMs.  Users write their
> - own software but (a) follow Swarm's conceptual framework and conventions to design
> - the software, and (b) use the Swarm libraries to do much of the work.  The library
> - is written in Objective-C.
> +Description: agent-based modeling to education, biomedical research and others
> + The Swarm conceptual framework for agent-based model (ABMs) and 
> + provides many tools for implementing, observing and conducting
> + experiments on ABMs.  Users write their own software but (a) follow
> + Swarm's conceptual framework and conventions to design the software, and
> + (b) use the Swarm libraries to do much of the work.  The library is
> + written in Objective-C.
>  .
>  This package contains the runtime libraries.
> 
> Modified: trunk/packages/swarm/trunk/debian/rules
> ===================================================================
> --- trunk/packages/swarm/trunk/debian/rules	2012-01-12 18:52:47 UTC (rev 9268)
> +++ trunk/packages/swarm/trunk/debian/rules	2012-01-12 21:32:43 UTC (rev 9269)
> @@ -7,6 +7,10 @@
> %:
> 	dh $@
> 
> +override_dh_clean:
> +	dh_clean
> +	rm -rf config.log
> +
> get-orig-source:
> 	mkdir -p ../tarballs
> 	uscan --verbose --force-download --destdir ../tarballs
> 
> 
> _______________________________________________
> debian-med-commit mailing list
> debian-med-commit@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-commit
> 
> 
> ----- End forwarded message -----
> 
> -- 
> http://fam-tille.de





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Scott Christley <schristley@mac.com>:
Bug#611922; Package wnpp. (Mon, 27 May 2013 14:12:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Scott Christley <schristley@mac.com>. (Mon, 27 May 2013 14:12:49 GMT) Full text and rfc822 format available.

Message #20 received at 611922@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 611922@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libswarm: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:24 +0200
retitle 611922 RFP: libswarm -- Swarm is a framework for agent-based simulation
noowner 611922
tag 611922 - pending
thanks

Hi,

This is an automatic email to change the status of libswarm back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libswarm, please send a mail to
<control@bugs.debian.org> with:

 retitle 611922 ITP: libswarm -- Swarm is a framework for agent-based simulation
 owner 611922 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <611922@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libswarm -- Swarm is a framework for agent-based simulation' from 'ITP: libswarm -- Swarm is a framework for agent-based simulation' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:36:51 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Scott Christley <schristley@mac.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:36:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#611922; Package wnpp. (Mon, 17 Jun 2013 20:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Christley <schristley@mac.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Jun 2013 20:36:09 GMT) Full text and rfc822 format available.

Message #29 received at 611922@bugs.debian.org (full text, mbox):

From: Scott Christley <schristley@mac.com>
To: Lucas Nussbaum <lucas@debian.org>, 611922@bugs.debian.org
Subject: Re: Bug#611922: libswarm: changing back from ITP to RFP
Date: Mon, 17 Jun 2013 14:32:34 -0500
Still waiting on BLT bug to be resolved before package can be finalized and uploaded.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524149

The BLT bug is fixed, it just seems nobody with the authority to upload wishes to do so.

Scott




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:57:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.